灿烂明天
2017-11-05 14:58
采纳率: 100%
浏览 996

web工程报错Unsupported major.minor version 52.0

我的jdk是1.7,jdk compliance设置的也是1.7 在做SSH整合的时候报上面错误,是一个mysql驱动包报错的,网上很多方法都不行,如下载低版本的驱动包也不行,求大神看下

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

3条回答 默认 最新

  • devmiao 2017-11-05 16:14
    已采纳
    点赞 评论
  • hycf 2017-11-06 01:49

    java.lang.UnsupportedClassVersionError: PR/Sort : Unsupported major.minor version 52.0这个错误是由于高版本的java project使用了低版本的来运行。

    我出现这个情况是我把Properties中java build path-->Libraries中的JVM8换成JVM7

    之后运行就报错了

    解决方法:
    在Properties-->JAVA Compiler-中的Compiler compliance level从1.8改成1.7,之后就可以运行了。

    点赞 评论
  • 灿烂明天 2017-11-06 13:12

    谢谢上面的两位 我试过了 还是不行啊 都改成一致了 也是不行 我不想升级到1.8 用1.7的 还有什么原因导致吗?

    点赞 评论

相关推荐 更多相似问题